# FairMQ: fair::mq::shmem::SegmentHandleFromAddress Struct Reference

fair::mq::shmem::SegmentHandleFromAddress Struct Reference
Inheritance diagram for fair::mq::shmem::SegmentHandleFromAddress:
[legend]
Collaboration diagram for fair::mq::shmem::SegmentHandleFromAddress:
[legend]

## Public Member Functions

| SegmentHandleFromAddress (const void *_ptr)
template<typename S >
boost::interprocess::managed_shared_memory::handle_t | operator() (S &s) const

## Public Attributes

const void * | ptr

The documentation for this struct was generated from the following file:

- fairmq/shmem/Common.h

privacy